Subject: Re: CCL:Redhat/G98/PGI - Error

From: Rafael Rodriguez Pappalardo <[email-masked]>
Date: Mon, 12 Mar 2001 14:47:53 +0100 (CET)

On Mon, 12 Mar 2001, Lars Packschies wrote:

> Dear CCLers,
> 
> I'm trying to compile g98.A7 on a Redhat 7.0 (ok, not the best choice). 
> PGF77 ist working fine (as far I coud see). But when it comes to
> build/link l402, I get an error. The text is attached. 
> 
> Is this a RH7-specific problem which means to install a different
> distribution ? 
> It wouldn't surprise me anayway... Is anybody out there who compiled
> g98.A7 on a RH7 PIII-box ?
> 
> Thanks in advance,
> 
> Lars
> 
> 

Hi!,
just delete bd0402.o in bsd/i386.make line:
        $(RUNF77) $(FFLAGS) -o $*.exe m$*.o $(EXTOBJ) $*.a bd0402.o
$(EXTRAS) $(GAULIB) $(LIBS)

Apparently the RH 7.0 linker does not need the block data outside of a
library file. I presume the same problem arise in l609 and l809.

Rafael
-- 
Dr. Rafael R. Pappalardo
Dept. Quimica Fisica, Fac. de Quimica, Univ. de Sevilla. 41012-Sevilla (Spain)
e-mail: [email-masked]